require 'spec_helper'

describe 'puppet_enterprise::profile::master::console' do
  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'master.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir'    => '/tmp/file',
    }

    @params = { 'console_host'            => 'console.rspec',
                'dashboard_port'          => '1234',
                'console_server_certname' => 'pe-internal-dashboard', }
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }
  let(:confdir) { "/etc/puppetlabs/puppet" }

  context "managing puppet.conf" do
    it { should contain_pe_ini_subsetting('reports_console').with_setting('reports').with_subsetting('console') }
  end
  context "managing console.conf" do
    it { should contain_file("#{confdir}/console.conf") }
    it { should contain_pe_ini_setting('console.conf_server').with_value('console.rspec') }
    it { should contain_pe_ini_setting('console.conf_port').with_value('1234') }
    it { should contain_pe_ini_setting('console.conf_certificate_name').with_value('pe-internal-dashboard') }
  end
end
