require 'spec_helper'

describe 'Master with mco, r10k and agent symlink management' do

  before :each do
    @facter_facts = {
      'kernel'                    => 'Linux',
      'osfamily'                  => 'Debian',
      'operatingsystem'           => 'Debian',
      'lsbmajdistrelease'         => '6',
      'puppetversion'             => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'                     => 'true',
      'fqdn'                      => 'master.rspec',
      'clientcert'                => 'awesomecert',
      'pe_concat_basedir'         => '/tmp/file',
      'processorcount'            => '1',
      'platform_symlink_writable' => true,
    }
  end

  let(:facts) { @facter_facts }

  it { should satisfy_all_relationships }

  context "when disabled" do
    let(:manifest) do
      'spec/fixtures/manifests/master_disable_symlinks.pp'
    end

    it { should_not contain_file('/usr/local') }
    it { should_not contain_file('/usr/local/bin') }
    it { should_not contain_file('/usr/local/bin/facter') }
    it { should_not contain_file('/usr/local/bin/puppet') }
    it { should_not contain_file('/usr/local/bin/pe-man') }
    it { should_not contain_file('/usr/local/bin/hiera') }
    it { should_not contain_file('/usr/local/bin/mco') }
    it { should_not contain_file('/usr/local/bin/r10k') }
    it { should satisfy_all_relationships }
  end

  context "by default" do
    let(:manifest) do
      'spec/fixtures/manifests/master_enable_symlinks.pp'
    end

    it { should contain_file('/usr/local') }
    it { should contain_file('/usr/local/bin') }
    it { should contain_file('/usr/local/bin/facter') }
    it { should contain_file('/usr/local/bin/puppet') }
    it { should contain_file('/usr/local/bin/pe-man') }
    it { should contain_file('/usr/local/bin/hiera') }
    it { should contain_file('/usr/local/bin/mco') }
    it { should contain_file('/usr/local/bin/r10k') }
    it { should satisfy_all_relationships }
  end
end
